"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabelLength = exports.TextareaElement = exports.Label = exports.Wrap = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Wrap = styled_components_1.default.div `
  width: 100%;
`;
exports.Wrap = Wrap;
const Label = styled_components_1.default.h4 `
  position: relative;
  font-size: 13px;
  color: ${(props) => {
    return props.theme.lib.colors.primary.shuttleGray;
}};
  display: block;
  margin-bottom: 5px;
  padding-left: 10px;
  font-weight: 700;
`;
exports.Label = Label;
const LabelLength = styled_components_1.default.p `
  position: relative;
  font-size: 10px;
  color: ${(props) => {
    return props.theme.lib.colors.primary.shuttleGray;
}};
  display: block;
  margin-bottom: 5px;
  padding-left: 10px;
  font-weight: 500;
`;
exports.LabelLength = LabelLength;
const TextareaElement = styled_components_1.default.textarea `
  font-size: 12px;
  font-weight: 600;
  width: 100%;
  border-radius: 3px;
  border: solid 1px
    ${(props) => props.disabled
    ? props.theme.lib.colors.grayScale.bombay
    : props.theme.lib.colors.grayScale.iron};
  padding: 10px 12px;
  outline: none;
  resize: none;
  background-color: ${(props) => props.disabled
    ? props.theme.lib.colors.grayScale.iron
    : props.theme.lib.colors.secondary.wildSand};
  color: ${(props) => props.theme.lib.colors.grayScale.mineShaft};
  & ::placeholder {
    color: #000;
  }
  cursor: ${(props) => (props.disabled ? 'not-allowed' : 'default')};
`;
exports.TextareaElement = TextareaElement;
//# sourceMappingURL=styles.js.map