"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepContainer = exports.StepText = exports.StepTrace = exports.Wrap = exports.Container = void 0;
const styled_components_1 = __importStar(require("styled-components"));
const getColor = (color) => {
    switch (color) {
        case 'green':
            return '#00C6B6';
        case 'red':
            return '#CB3A44';
        case 'blue':
            return '#1486C1';
        default:
            return '#00C6B6';
    }
};
const Container = styled_components_1.default.div `
  position: relative;
`;
exports.Container = Container;
const Wrap = styled_components_1.default.div `
  width: 100%;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(70px, 1fr));
`;
exports.Wrap = Wrap;
const StepTrace = styled_components_1.default.div `
  display: flex;
  justify-content: center;
  align-items: center;

  background-color: ${(props) => props.theme.lib.colors.secondary.mischka};
  border-radius: 3px;
  z-index: 3;
  margin: 7px auto;
  & svg {
    fill: ${(props) => props.theme.lib.colors.secondary.white};
  }
  ${(props) => !props.iconCheck
    ? styled_components_1.css `
          width: 46px;
          height: 46px;
        `
    : styled_components_1.css `
          width: 18px;
          height: 18px;
        `}
`;
exports.StepTrace = StepTrace;
const StepText = styled_components_1.default.p `
  color: ${(props) => props.theme.lib.colors.grayScale.mineShaft};
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 13px;
  line-height: 15px;
  text-align: center;
  min-width: 1px;
  max-width: 100px;
  min-height: 30px;
  & :last-child {
    font-weight: 500;
    font-size: 13px;
  }
`;
exports.StepText = StepText;
const StepContainer = styled_components_1.default.div `
  position: relative;
  min-width: 70px;
  min-height: 90px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  &:not(:first-child) {
    &::before {
      content: ' ';
      position: absolute;
      width: 100%;
      height: 4px;
      top: 51.4%;
      left: -50%;
      transform: translateY(-4px);

      background-color: ${({ currentIndex, stepIndex, color }) => {
    return currentIndex >= stepIndex ? getColor(color) : '#DEDEDE';
}};
      z-index: 1;
    }
  }
  & ${StepTrace} {
    background: ${({ currentIndex, stepIndex, color }) => {
    return currentIndex >= stepIndex ? getColor(color) : '#DEDEDE';
}};
  }
  ${({ currentIndex, stepIndex }) => stepIndex <= currentIndex &&
    styled_components_1.css `
      & ${StepText} {
        & :first-child {
          color: ${(props) => props.theme.lib.colors.primary.shuttleGray};
        }
        & :last-child {
          color: ${(props) => props.theme.lib.colors.grayScale.mineShaft};
        }
      }
    `}
`;
exports.StepContainer = StepContainer;
//# sourceMappingURL=styles.js.map