"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = exports.Title = exports.Details = exports.Image = exports.Container = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
exports.Container = styled_components_1.default.div `
  width: 100%;
  background-color: #fff;
  padding: 19px;
  border: 1px solid ${(props) => props.theme.lib.colors.secondary.mischka};
  border-radius: 4px;
  display: grid;
  grid-template-columns: 50px 5fr 2fr;
  align-items: center;
`;
exports.Image = styled_components_1.default.img `
  width: 33px;
  height: 33px;
  border-radius: 3px;
`;
exports.Details = styled_components_1.default.div `
  display: flex;
  flex-direction: column;
  &:last-child {
    align-items: flex-end;
  }
`;
exports.Title = styled_components_1.default.p `
  font-size: 16px;
  color: ${(props) => props.theme.lib.colors.primary.shuttleGray};
`;
exports.Text = styled_components_1.default.p `
  font-size: 14px;
  color: ${(props) => props.theme.lib.colors.grayScale.doveGray};
`;
//# sourceMappingURL=styles.js.map