"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = exports.Button = exports.Icon = exports.Block = exports.Container = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Search_1 = __importDefault(require("@material-ui/icons/Search"));
const Container = styled_components_1.default.div `
  position: relative;
  width: 100%;
`;
exports.Container = Container;
const Block = styled_components_1.default.div `
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100%;
  align-items: center;
`;
exports.Block = Block;
const Input = styled_components_1.default.input `
  box-sizzing: border-box;
  height: 2.8rem;
  width: 100%;
  color: ${(props) => props.theme.lib.colors.grayScale.mineShaft};
  padding: 0 0 0 2rem;
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 18px;
  transition: 0.25s all linear;
  border: 1px solid ${(props) => props.theme.lib.colors.secondary.mischka};
  outline: none;
  background: ${(props) => props.theme.lib.colors.secondary.wildSand};

  &:focus {
    box-shadow: 0px 0px 15px rgb(0 0 0 / 8%);
  }
  &:placeholder {
    color: ${(props) => props.theme.lib.colors.grayScale.mineShaft};
  }
`;
exports.Input = Input;
const Button = styled_components_1.default.button `
  position: relative;
  left: -5.125rem;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 5.5rem;
  height: 100%;
  cursor: pointer;
  transition: 0.25s all;
  outline: none;
  border: none;
  background: none;
  padding: 0;
  margin: 0;
`;
exports.Button = Button;
const Icon = styled_components_1.default(Search_1.default) `
  font-size: 1.85rem !important;
  color: ${(props) => props.theme.lib.colors.grayScale.bebebe};
`;
exports.Icon = Icon;
//# sourceMappingURL=styles.js.map