"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = exports.H2 = exports.BlockContainer = exports.Container = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Container = styled_components_1.default.div `
  position: relative;
  width: 100%;
  border: 1px solid ${(props) => props.theme.lib.colors.secondary.mischka};
  border-radius: 8px;
  padding: 1rem 1.3rem;
  box-sizing: border-box;

  div:nth-child(5) {
    border: none;
  }

  & {
    @media (max-width: 1280px) {
      width: 90%;
    }

    @media (max-width: 1024px) {
      width: 80%;
    }

    @media (max-width: 576px) {
      width: 100%;
    }
  }
`;
exports.Container = Container;
const BlockContainer = styled_components_1.default.div `
  position: relative;
  display: flex;
  flex-flow: column wrap;
  width: 100%;
  box-sizing: border-box;
  border-bottom: 1px solid
    ${(props) => props.theme.lib.colors.secondary.mischka};
`;
exports.BlockContainer = BlockContainer;
const H2 = styled_components_1.default.h2 `
  color: ${(props) => props.theme.lib.colors.primary.shuttleGray};
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 16px;
  line-height: 16px;
  margin: 0.83em 0px;
`;
exports.H2 = H2;
const Text = styled_components_1.default.p `
  color: ${(props) => props.theme.lib.colors.grayScale.doveGray};
  margin-top: -4px;
  margin-bottom: 14px;
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-size: 14px;
  line-height: 16px;
`;
exports.Text = Text;
//# sourceMappingURL=styles.js.map