"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Container = exports.Details = exports.Summary = exports.AccordionUi = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const core_1 = require("@material-ui/core");
const AccordionUi = styled_components_1.default(core_1.Accordion) `
  height: 100%;
  min-height: 45.93px;
  width: 100%;
  max-width: 636.86px;
  box-shadow: 0px 0px;
  margin: 2px 0px;
  margin: 0;
  padding: 0;

  .MuiAccordionSummary-content {
    width: 100%;
    display: grid;
    grid-template-areas: 'infoProduct infoProduct countButtons iconDetails';
  }
`;
exports.AccordionUi = AccordionUi;
const Summary = styled_components_1.default(core_1.AccordionSummary) `
  display: flex;
  width: 100%;
  height: 100%;
  border-radius: 6px;
  border: 1px solid ${(props) => props.theme.lib.colors.secondary.mischka};
  box-sizing: border-box;
  padding: 0 .2rem 0rem 1rem;

  div {
    display: flex;
    color: ${(props) => props.theme.lib.colors.primary.shuttleGray};
    align-items: center;

    & div:nth-child(1) {
      justify-self: flex-start;

    & div:nth-child(2) {
      justify-self: flex-start;
    }

    & div:nth-child(3) {
      justify-self: flex-end;
      cursor: pointer;
    }
  }

  .IconContainer {
    justify-self: flex-end;
  }
`;
exports.Summary = Summary;
const Container = styled_components_1.default.div `
  position: relative;
  justify-content: flex-end;
`;
exports.Container = Container;
const Details = styled_components_1.default(core_1.AccordionDetails) `
  background-color: ${(props) => props.theme.lib.colors.secondary.white};
  padding: 30px 32px 30px 27px;
  margin: 0px;
  border-radius: 6px;
  width: '100%';
  max-width: '100%';
  box-shadow: 0px 2px 5px
    ${(props) => props.theme.lib.colors.secondary.wildSand};
  overflow: hidden;
  font-family: Roboto, sans-serif;
`;
exports.Details = Details;
//# sourceMappingURL=styles.js.map