"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageTag = exports.MessageBody = exports.MessageHeader = exports.MessageBubble = exports.SenderOrigin = exports.MessageContainer = void 0;
const styled_components_1 = __importStar(require("styled-components"));
exports.MessageContainer = styled_components_1.default.div `
  display: flex;
  align-items: flex-end;
  width: 100%;
  margin-bottom: 50px;
  &:first-child {
    margin-top: 100px;
  }
  &:last-child {
    margin-bottom: 0px;
  }
  ${(props) => {
    if (props.messageOrigin === 'received') {
        return styled_components_1.css `
        flex-direction: row;
        align-self: flex-start;
      `;
    }
    else {
        return styled_components_1.css `
        flex-direction: row-reverse;
        align-self: flex-end;
      `;
    }
}}
`;
exports.SenderOrigin = styled_components_1.default.div `
  width: 17px;
  height: 17px;
  border-radius: 100%;
  background-color: ${(props) => props.theme.lib.colors.grayScale.gallery};
`;
exports.MessageBubble = styled_components_1.default.div `
  position: relative;
  padding: 12px 15px 15px;
  width: 60%;
  ${(props) => {
    if (props.messageOrigin === 'received') {
        return styled_components_1.css `
        border-radius: 8px 8px 8px 1px;
        background-color: ${props.theme.lib.colors.grayScale.gallery};
        margin-left: 5px;
      `;
    }
    else {
        return styled_components_1.css `
        border-radius: 8px 8px 1px 8px;
        background-color: ${props.theme.lib.colors.grayScale.alto};
        margin-right: 5px;
      `;
    }
}}
`;
exports.MessageHeader = styled_components_1.default.div `
  color: ${(props) => props.theme.lib.colors.grayScale.doveGray};
  display: flex;
  font-size: 11px;
  font-weight: 500;
  text-transform: capitalize;
  justify-content: space-between;
  margin-bottom: 5px;
`;
exports.MessageBody = styled_components_1.default.div `
  color: ${(props) => props.theme.lib.colors.grayScale.mineShaft2};
  padding: 5px 5px 10px 0px;
  width: 100%;
  font-size: 13px;
  font-weight: 400;
  justify-content: space-between;
`;
exports.MessageTag = styled_components_1.default.div `
  position: absolute;
  display: inline-block;
  padding: 5px 10px;
  font-size: 13px;
  font-weight: 500;
  text-transform: uppercase;
  color: ${(props) => props.theme.lib.colors.grayScale.mineShaft2};
  background-color: ${(props) => props.theme.lib.colors.grayScale.silver};
  bottom: -12px;
  border-radius: 3px;
  ${(props) => {
    if (props.messageOrigin === 'received') {
        return styled_components_1.css `
        right: 0px;
      `;
    }
    else {
        return styled_components_1.css `
        left: 0px;
      `;
    }
}}
`;
//# sourceMappingURL=styles.js.map