"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonCloseAttendance = exports.Block = exports.Text = exports.TitleAttendance = exports.Container = void 0;
const styled_components_1 = __importStar(require("styled-components"));
const types_1 = require("./types");
const Container = styled_components_1.default.div `
  position: relative;
  height: 100%;
  background: ${({ theme }) => theme.lib.colors.primary.mako};
  box-sizing: border-box;

  ${(props) => {
    if (props.status === types_1.TabStatus.VISIBLE) {
        return styled_components_1.css `
        background-color: ${({ theme }) => theme.lib.colors.primary.shuttleGray};
        cursor: default;
      `;
    }
    return styled_components_1.css `
      background-color: ${({ theme }) => theme.lib.colors.primary.mako};
      cursor: pointer;
    `;
}};

  &:after {
    content: '';
    position: absolute;
    width: 100%;
    display: block;
    background: #a9abaf;
    height: 0.5rem;
    bottom: 0;
  }

  & {
    @media screen and (max-width: 860px) {
      width: 100%;
    }

    @media screen and (max-width: 599px) {
      position: absolute;
      transition: all 0.12s linear;
      transform: translateX(-300%);
    }
  }
`;
exports.Container = Container;
const TitleAttendance = styled_components_1.default.h2 `
  font-family: Roboto, sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 19px;
  color: #ffffff;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;

  & {
    @media (min-width: 680px) and (max-width: 1024px) {
      width: 100%;
    }

    @media (min-width: 600px) and (max-width: 679px) {
      font-size: 14px;
    }
  }
`;
exports.TitleAttendance = TitleAttendance;
const Text = styled_components_1.default.p `
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 14px;
  color: #cbcbcb;

  & {
    @media (min-width: 600px) and (max-width: 679px) {
      font-size: 11px;
      line-height: 10px;
    }
  }
`;
exports.Text = Text;
const Block = styled_components_1.default.div `
  width: 80%;
  height: 100%;
  padding: 1rem 0 1rem 1.8rem;
  display: flex;
  flex-direction: column;
`;
exports.Block = Block;
const ButtonCloseAttendance = styled_components_1.default.button `
  position: absolute;
  transition: all 0.5s ease-out;
  right: 1rem;
  top: 1rem;
  display: block;
  margin: 0;
  padding: 0;
  outline: none;
  border: none;
  box-sizing: border-box;
  background: transparent;
  cursor: pointer;

  svg {
    color: #fff;
    opacity: 80%;
    width: 1.125rem;
    height: 1.125rem;
  }
`;
exports.ButtonCloseAttendance = ButtonCloseAttendance;
//# sourceMappingURL=styles.js.map